## org.gnu.gtk
Class SignalRunType

    java.lang.Object
      org.gnu.glib.Flags
          org.gnu.gtk.SignalRunType

public class SignalRunType
extends Flags

Field Summary
`static SignalRunType` `ACTION`
`static SignalRunType` `BOTH`
`static SignalRunType` `FIRST`
`static SignalRunType` `LAST`
`static SignalRunType` `NO_HOOKS`
`static SignalRunType` `NO_RECURSE`

Fields inherited from class org.gnu.glib.Flags
`value_`

Method Summary
`SignalRunType` `and(SignalRunType other)`
`static SignalRunType` `intern(int value)`
`SignalRunType` `or(SignalRunType other)`
`boolean` `test(SignalRunType other)`
`SignalRunType` `xor(SignalRunType other)`

Methods inherited from class org.gnu.glib.Flags
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FIRST

    public static final SignalRunType FIRST

### LAST

    public static final SignalRunType LAST

### BOTH

    public static final SignalRunType BOTH

### NO_RECURSE

    public static final SignalRunType NO_RECURSE

### ACTION

    public static final SignalRunType ACTION

### NO_HOOKS

    public static final SignalRunType NO_HOOKS

Method Detail

### intern

    public static SignalRunType intern(int value)

### or

    public SignalRunType or(SignalRunType other)

### and

    public SignalRunType and(SignalRunType other)

### xor

    public SignalRunType xor(SignalRunType other)

### test

    public boolean test(SignalRunType other)